UCMA is required:

When the presence service is used with Lync 2010 / 2013 the requirements has changed. Please see the matrix below for specific requirements.

UCMA 3.0

UCMA 4.0

x64 x64
Microsoft Windows Server 2008 with Service Pack 2 Windows Server 2008 R2 Service Pack 1
Windows Server 2008 R2 Windows 2012 Server

The requirements will affect those of you who will run the Presence Service 3.0.